/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-25 14:42:30
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-27 13:56:19
 * @FilePath: \src\router\StackNavigation.js
 */

import React from 'react';
import {NavigationContainer} from '@react-navigation/native';
import {createStackNavigator} from '@react-navigation/stack';

import Home from '../views/Home';
import Details from '../views/Details';
import IconPage from '../views/IconPage';
const Stack = createStackNavigator();

function StackNavigation() {
  return (
    <NavigationContainer>
      <Stack.Navigator initialRouteName="Home">
        <Stack.Screen
          name="Home"
          options={{title: '设置Title'}}
          component={Home}
        />
        <Stack.Screen name="Details" component={Details} />
        <Stack.Screen name="IconPage" component={IconPage} />
      </Stack.Navigator>
    </NavigationContainer>
  );
}

export default StackNavigation;
